import { DecorationSet } from "prosemirror-view";
export declare type SpecObject = {
    [key: string]: any;
};
export declare type SpecWithAlias<Spec extends SpecObject> = Spec & {
    alias: string;
};
export interface LinksKeyState<Spec extends SpecObject = {
    alias: string;
}> {
    decorations: DecorationSet;
    regex: RegExp;
    aliasToSpec: Record<string, SpecWithAlias<Spec>>;
}
export declare enum LinksMetaType {
    linkUpdate = "linkUpdate"
}
export interface LinksUpdateMeta<Spec extends SpecObject> {
    type: LinksMetaType.linkUpdate;
    specs: Array<SpecWithAlias<Spec>>;
}
export declare type LinksMeta<Spec extends SpecObject> = LinksUpdateMeta<Spec>;
